#
# spec file for package QtDMM
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           QtDMM
Version:        0.9.0
Release:        3.3
Summary:        DMM Readout Software Including a Configurable Recorder
License:        GPL-3.0+
Group:          System/GUI/Other
Url:            http://mtoussaint.de/qtdmm.html
Source:         http://mtoussaint.de/qtdmm-%{version}.tgz
BuildRequires:  libqt4-devel
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
QtDMM is a DMM readout software including a configurable recorder. The
recorder features manual start, scheduled start (at a given time), and
triggered automatic start when given thresholds are reached.
Additionally, you can start an external application when given
thresholds are reached.

Although initially written for Metex (and compatible, like VOLTCRAFT)
multimeter, which use a 14-byte protocol, several more protocols have
been added. For more information about the currently supported DMMs,
refer to the preset table.

%prep
%setup -q

%build
qmake
make %{?_smp_mflags}

%install
%make_install
gzip qtdmm.1

install -d %{buildroot}%{_bindir}
install bin/qtdmm %{buildroot}%{_bindir}/qtdmm
install -Dm 644 qtdmm.1.gz %{buildroot}%{_mandir}/man1/qtdmm.1.gz
install -Dm 644 qtdmm.png %{buildroot}%{_datadir}/pixmaps/qtdmm.png
install -Dm 644 QtDMM.desktop %{buildroot}%{_datadir}/applications/QtDMM.desktop
%suse_update_desktop_file -G "DMM Readout Software" -r %{name} "Education;Engineering"

%files
%defattr(-,root,root)
%doc CHANGELOG LICENSE README
%{_bindir}/qtdmm
%{_mandir}/man1/qtdmm.1.gz
%{_datadir}/pixmaps/qtdmm.png
%{_datadir}/applications/QtDMM.desktop

%changelog
* Sat Aug  2 2014 dmitry_r@opensuse.org
- Update to version 0.9.0
  * QtDMM was ported to Qt4.x
  * QtDMM was relicensed from GPL 2.0 to GPL 3
  * Added TekPower TP4000ZC / digitek DT4000ZC
  * Added PeakTech 3430
* Fri Jul 18 2008 hmacht@suse.de
- remove QtDMM-vc940.patch and QtDMM-fix-includes.patch
- update to 0.8.12:
  Version 0.8.12
  - Added PeakTech 4015A (Jochen Puchalla)
  - Added Tenma 72-7745 (Laurent Perez)
  - Bugfix McVoice M-980T (Erik Hobel)
  - Added Digitech QM1462 (Peter Halasz)
  - Added Digitek INO2513
  - Added Raio Shack 22-812 (Bruce Lilly)
  - Corrected typo in dmmgraph (Erik Hobel)
  Version 0.8.11
  - Mac OS X port
  Version 0.8.10
  - Added Sinometer MAS-343
  - Adedd PeakTech 3330
  - Bugfix in VC820 protocoll
  - Added Voltrcaft VC940
  - Added Digitech QM1537
  - Added Uni-Trend UT30A and UT30E
  - Added Digitek DT-9062
  - Confirmation Voltcraft M-3860
  - Added PeakTech 4360
  Version 0.8.9
  - Added Voltcraft M-3610D
  - Added Iso-Tech IDM 73
* Tue Oct 23 2007 hmacht@suse.de
- add QtDMM-fix-includes.patch to fix errors due to gcc4.3
* Mon Jul  2 2007 ckornacker@suse.de
- added VC940 support
* Fri Mar 30 2007 trenn@suse.de
- updated to version 0.8.8
  changelog copied from the project site:
- gcc 4.1 compatibility
- Added Digitech QM1538, MASTECH MAS-345, M-345pro, Voltcraft M-4650CR
- Context menu for graph
- Improved import
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 hmacht@suse.de
- update to version 0.8.7
- fix extra qualification in header file
* Mon Oct 17 2005 hmacht@suse.de
- created new package
